Subject: bug#29936: "guix package -s emacs" crashes

From: Catonano <[email-masked]>
Date: Mon, 1 Jan 2018 21:34:27 +0100

I run this command

[env]$ ./pre-inst-env guix package -s emacs

I'd like to see informations about Emacs

and I get this

Backtrace:
In guix/ui.scm:
  1474:12 19 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9 18 (catch _ _ #<procedure 7fdb3609e258 at guix/ui.scm:533…> …)
    829:9 17 (catch _ _ #<procedure 7fdb3609e270 at guix/ui.scm:633…> …)
In guix/scripts/package.scm:
   912:10 16 (_)
    770:9 15 (process-query _)
In ice-9/boot-9.scm:
    829:9 14 (catch _ _ #<procedure 7fdb32d233c0 at guix/scripts/pa…> …)
In guix/scripts/package.scm:
   772:24 13 (_)
   249:17 12 (find-packages-by-description _)
In guix/discovery.scm:
    137:3 11 (fold-module-public-variables _ _ _)
In guix/combinators.scm:
    45:26 10 (fold2 #<procedure 2e8a960 at guix/discovery.scm:137:1…> …)
    45:26  9 (fold2 #<procedure 39efe40 at guix/discovery.scm:138:1…> …)
In guix/discovery.scm:
   140:33  8 (_ #<package [email-masked] gnu/packages/finance.s…> …)
In guix/scripts/package.scm:
   250:34  7 (_ #<package [email-masked] gnu/packages/finance.s…> …)
In srfi/srfi-1.scm:
   466:18  6 (fold #<procedure 3b13880 at guix/ui.scm:1143:8 (metri…> …)
In guix/ui.scm:
  1146:13  5 (_ _ 0)
  1025:23  4 (texi->plain-text _)
In texinfo.scm:
  1131:22  3 (parse _)
   979:31  2 (loop #<input: string 3bc89a0> (*fragment*) _ _ _)
   868:21  1 (visit example #<input: string 3bc89a0> #f ((para #) #))
   675:23  0 (complete-start-command _ #<input: string 3bc89a0>)

texinfo.scm:675:23: In procedure complete-start-command:
Throw to key `parser-error' with args `(#<input: string 3bc89a0> "@-command
didn't expect more args" example (".com --connect"))'.

[env]$ git describe
v0.14.0-635-gc3e224220